<template>
	<main class="mt-36">
		<h2 class="contents-title">Pagination</h2>
		<ol class="pagination">
			<li>
				<a href="#"><i class="bzi-angle-left"></i></a>
			</li>
			<li><a class="is-active" href="#">1</a></li>
			<li><a href="#" disabled>2</a></li>
			<li><a href="#">3</a></li>
			<li><a href="#">4</a></li>
			<li>
				<a href="#"><i class="fas bzi-angle-right"></i></a>
			</li>
		</ol>

		<Code :codeText="pagination" />
		<hr />

		<h2 class="contents-title">Left Pagination</h2>
		<ol class="pagination--left">
			<li>
				<a href="#"><i class="bzi-angle-left"></i></a>
			</li>
			<li><a class="is-active" href="#">1</a></li>
			<li><a href="#" disabled>2</a></li>
			<li><a href="#">3</a></li>
			<li><a href="#">4</a></li>
			<li>
				<a href="#"><i class="fas bzi-angle-right"></i></a>
			</li>
		</ol>

		<Code :codeText="leftPagination" />
		<hr />

		<h2 class="contents-title">Right Pagination</h2>
		<ol class="pagination--right">
			<li>
				<a href="#"><i class="bzi-angle-left"></i></a>
			</li>
			<li><a class="is-active" href="#">1</a></li>
			<li><a href="#" disabled>2</a></li>
			<li><a href="#">3</a></li>
			<li><a href="#">4</a></li>
			<li>
				<a href="#"><i class="fas bzi-angle-right"></i></a>
			</li>
		</ol>

		<Code :codeText="rightPagination" />
		<ContentFooter />
	</main>
</template>

<script>
export default {
	data() {
		return {
			activeTab: 0,
			activeTab2: 0,
			tabs: [
				{
					title: 'Tab 1',
					content: 'Item 1'
				},
				{
					title: 'Tab 2',
					content: 'Item 2'
				},
				{
					title: 'Tab 3',
					content: 'Item 3'
				},
				{
					title: 'Tab 4',
					content: 'Item 4'
				}
			],
			pagination: `<ol class="pagination">
    <li><a href="#"><i class="fas fa-angle-left"></i></a></li>
    <li><a class="is-active" href="#">1</a></li>
    <li><a href="#" disabled>2</a></li>
    <li><a href="#">3</a></li>
    <li><a href="#">4</a></li>
    <li><a href="#"><i class="fas fa-angle-right"></i></a></li>
</ol>
`,
			leftPagination: `<ol class="pagination--left">
    <li><a href="#"><i class="fas fa-angle-left"></i></a></li>
    <li><a class="is-active" href="#">1</a></li>
    <li><a href="#" disabled>2</a></li>
    <li><a href="#">3</a></li>
    <li><a href="#">4</a></li>
    <li><a href="#"><i class="fas fa-angle-right"></i></a></li>
</ol>`,
			rightPagination: `<ol class="pagination--right">
    <li><a href="#"><i class="fas fa-angle-left"></i></a></li>
    <li><a class="is-active" href="#">1</a></li>
    <li><a href="#" disabled>2</a></li>
    <li><a href="#">3</a></li>
    <li><a href="#">4</a></li>
    <li><a href="#"><i class="fas fa-angle-right"></i></a></li>
</ol>`
		}
	}
}
</script>

<style lang="scss" scoped>
main {
	color: $text;
	width: 100%;
}
</style>
